> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one customer

> Returns a specific customer



## OpenAPI

````yaml get /consumers/{consumer_id}/pos/customers/{customer_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pos/customers/{customer_id}:
    get:
      tags:
        - Point of Sale
        - customers
        - Customers
      summary: Get one customer
      description: Returns a specific customer
      operationId: pos_get_customer
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            title: Customer Id
          description: Unique identifier of the customer
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/POSCustomerItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '404':
          content:
            application/json:
              example:
                message: The customer with id {CustomerId} could not be found
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pos
            - pos.read
            - pos.customers
            - pos.customers.read
components:
  schemas:
    POSCustomerItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the customer
          examples:
            - 371ca583-d218-8000-b236-397532cf0e52
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: First name of the customer
          examples:
            - John
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Last name of the customer
          examples:
            - Doe
        name:
          type: string
          title: Name
          description: Name (first name + last name) of the customer
          examples:
            - John Doe
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Phone number (mobile, home, work, ...) of the customer
          examples:
            - '+32475123456'
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Email address of the customer
          examples:
            - john.doe@gmail.com
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
          description: Date and time when the customer was created
          examples:
            - '2025-01-01T00:00:00Z'
        addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/AddressItem'
              type: array
            - type: 'null'
          title: Addresses
          description: List of addresses of the customer
          default: []
        loyalty:
          anyOf:
            - type: integer
            - type: 'null'
          title: Loyalty
          description: Loyalty points of the customer
          examples:
            - 100
        birthdate:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Birthdate
          description: Birthdate of the customer
          examples:
            - '1990-01-01'
      type: object
      required:
        - id
        - name
      title: POSCustomerItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    AddressItem:
      properties:
        address_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Type
          description: Type of the address
          examples:
            - home
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Name given to the address (e.g. 'home')
          examples:
            - Home
        street:
          anyOf:
            - type: string
            - type: 'null'
          title: Street
          description: Street name
          examples:
            - Main Street
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
          description: Number of the address
          examples:
            - '123'
        box:
          anyOf:
            - type: string
            - type: 'null'
          title: Box
          description: Box of the address
          examples:
            - A
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: City name
          examples:
            - Paris
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
          description: Postal code of the address
          examples:
            - '75000'
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: 'Country, format: ISO 3166-1 codes.'
          examples:
            - FR
      type: object
      title: AddressItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````